Pod::Spec.new do |s|
  s.name             = 'WebIdEIdProductPlugin'
  s.version          = '14.3.0-SNAPSHOT'
  s.summary          = 'The WebID eId product-plugin for iOS.'

  s.homepage         = 'https://webid-solutions.de/'
  s.license          = { :type => 'Commercial', :text => 'Copyright (C) 2013 - 2024 WebID  Solutions GmbH | www.webid-solutions.de. All Rights Reserved' }
  s.author           = { 'WebID Solutions GmbH' => 'it-service@webid-solutions.de' }
  
  s.platform         = :ios
  s.source           = { :http => 'https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdEIdProductPlugin/14.3.0/WebIdEIdProductPlugin.framework-v14.3.0-SNAPSHOT-1257.zip', :sha256 => '769eddfc28b1d7195cccede56c60fd07ee76fe20603998207df3a60a59e273e7' }
  s.swift_versions   = ['5.5']
  
  s.frameworks       = 'UIKit'

  s.ios.deployment_target = '13.0'
  s.ios.vendored_frameworks = 'WebIdEIdProductPlugin.xcframework'

  s.dependency "DocumentReader", "~> 7.2"
  s.dependency "RegulaCommon", "~> 7.2"
  s.dependency "WebIdOnDeviceDocumentScanner", "13.3.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdIosIdentScanPlugin", "13.3.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdEIdentPlugin", "6.3.0-SNAPSHOT" #branch:redesign-v4-snapshots
  s.dependency "WebIdDigitalSigningPlugin", "12.2.0-SNAPSHOT" #branch:redesign-v4-snapshots
end
